;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10 -*-

(defpackage :feuer-asd
  (:use :cl :asdf))

(in-package :feuer-asd)

(defsystem feuer
  :name "feuer"
  :depends-on (cl-opengl cl-glut cl-glu vektor HU.DWIM.DEFCLASS-STAR cl-cairo2 split-sequence)
  :components (
               (:file "package")
	;       (:file "hdr" :depends-on ("package" "shader"))
               (:file "toolbox" :depends-on ("package"))
	       (:file "shader" :depends-on ("package" "toolbox" "texture"))
               (:file "window" :depends-on ("package" "toolbox"))
               (:file "composite" :depends-on ("package" "toolbox"))
               (:file "2d-window" :depends-on ("composite" "toolbox" "package" "texture"))
               (:file "mesh" :depends-on ("package" "toolbox"))
               (:file "texture" :depends-on ("package" "toolbox"))
               (:file "showcase" :depends-on ("package" "mesh" "texture" "toolbox" "shader"  "window" #| "hdr" "shader"|#))))
